/*
 * (C) Copyright 2004 Hewlett-Packard Development Company, L.P
 */

#ifndef _HP_JAVA_PLUGIN_H_
#define _HP_JAVA_PLUGIN_H_

/*
 * Plugin API. Needs to evolve.
 */

#ifdef __cplusplus
extern "C" {
#endif

typedef enum {
    JPLUGIN_EVENT_NONE = 0,	/* Effectively a no-op. */
    JPLUGIN_EVENT_LOAD,		/* Plugin has just been loaded. */
    JPLUGIN_EVENT_UNLOAD,	/* Plugin is about to be unloaded. */
    JPLUGIN_EVENT_NEWVM,	/* A new VM has been created. */
    JPLUGIN_EVENT_XCPT		/* Unexpected exception. */
} java_plugin_event;

typedef int (*java_plugin_event_handler_f)(java_plugin_event, ...);

int java_plugin_event_handler(java_plugin_event, ...);

#ifdef __cplusplus
}
#endif

#endif /* _HP_JAVA_PLUGIN_H_ */
